# organizations

## GET /organizations/

> List or search all organizations

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"1.0"},"tags":[{"description":"Organization related operations","name":"organizations"}],"servers":[{"url":"http://www.data.gouv.fr/api/1"}],"paths":{"/organizations/":{"get":{"operationId":"list_organizations","parameters":[{"schema":{"type":"string"},"description":"The search query","in":"query","name":"q"},{"schema":{"type":"string","enum":["name","reuses","datasets","followers","views","created","last_modified","-name","-reuses","-datasets","-followers","-views","-created","-last_modified"]},"description":"The field (and direction) on which sorting apply","in":"query","name":"sort"},{"schema":{"type":"integer","default":1},"description":"The page to display","in":"query","name":"page"},{"schema":{"type":"integer","default":20},"description":"The page size","in":"query","name":"page_size"},{"schema":{"type":"string","enum":["public-service","certified","association","company","local-authority"]},"in":"query","name":"badge"},{"schema":{"type":"string"},"in":"query","name":"name"},{"schema":{"type":"string"},"in":"query","name":"business_number_id"},{"schema":{"type":"string","format":"mask"},"description":"An optional fields mask","in":"header","name":"X-Fields"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationPage"}}}}},"summary":"List or search all organizations","tags":["organizations"]}}},"components":{"schemas":{"OrganizationPage":{"properties":{"data":{"description":"The page data","items":{"$ref":"#/components/schemas/Organization (read)"},"type":"array"},"next_page":{"description":"The next page URL if exists","type":"string"},"page":{"description":"The current page","minimum":1,"type":"integer"},"page_size":{"description":"The page size used for pagination","minimum":0,"type":"integer"},"previous_page":{"description":"The previous page URL if exists","type":"string"},"total":{"description":"The total paginated items","minimum":0,"type":"integer"}},"required":["page","page_size","total"],"type":"object"},"Organization (read)":{"properties":{"acronym":{"maxLength":128,"type":"string"},"badges":{"items":{"allOf":[{"$ref":"#/components/schemas/Badge (read)"}],"readOnly":true},"readOnly":true,"type":"array"},"business_number_id":{"maxLength":14,"type":"string"},"created_at":{"format":"date-time","readOnly":true,"type":"string"},"deleted":{"format":"date-time","readOnly":true,"type":"string"},"description":{"format":"markdown","type":"string"},"ext":{"readOnly":true,"type":"object"},"extras":{"type":"object"},"id":{"readOnly":true,"type":"string"},"image_url":{"type":"string"},"last_modified":{"format":"date-time","readOnly":true,"type":"string"},"logo":{"description":"URL of the image","type":"string"},"logo_thumbnail":{"description":"URL of the cropped and squared image (100x100)","type":"string"},"members":{"items":{"allOf":[{"$ref":"#/components/schemas/Member (read)"}],"readOnly":true},"readOnly":true,"type":"array"},"metrics":{"readOnly":true,"type":"object"},"name":{"type":"string"},"page":{"description":"Link to the udata web page for this organization","readOnly":true,"type":"string"},"permissions":{"allOf":[{"$ref":"#/components/schemas/OrganizationPermissions"}],"readOnly":true},"requests":{"items":{"allOf":[{"$ref":"#/components/schemas/MembershipRequest (read)"}],"readOnly":true},"readOnly":true,"type":"array"},"slug":{"maxLength":255,"readOnly":true,"type":"string"},"teams":{"items":{"allOf":[{"$ref":"#/components/schemas/Team (read)"}],"readOnly":true},"readOnly":true,"type":"array"},"uri":{"description":"Link to the API endpoint for this organization","readOnly":true,"type":"string"},"url":{"type":"string"},"zone":{"readOnly":true,"type":"string"}},"required":["created_at","description","id","last_modified","name","slug"],"type":"object"},"Badge (read)":{"properties":{"kind":{"type":"string"}},"required":["kind"],"type":"object"},"Member (read)":{"properties":{"label":{"readOnly":true,"type":"string"},"role":{"enum":["admin","editor","partial_editor"],"type":"string"},"since":{"format":"date-time","readOnly":true,"type":"string"},"user":{"allOf":[{"$ref":"#/components/schemas/UserReference"}],"readOnly":true}},"required":["since"],"type":"object"},"UserReference":{"allOf":[{"$ref":"#/components/schemas/BaseReference"},{"properties":{"avatar":{"description":"The user avatar URL","type":"string"},"avatar_thumbnail":{"description":"The user avatar thumbnail URL. This is the square (500x500) and cropped version.","type":"string"},"first_name":{"description":"The user first name","readOnly":true,"type":"string"},"last_name":{"description":"The user larst name","readOnly":true,"type":"string"},"page":{"description":"The user web page URL","readOnly":true,"type":"string"},"slug":{"description":"The user permalink string","readOnly":true,"type":"string"},"uri":{"description":"The API URI for this user","readOnly":true,"type":"string"}},"type":"object"}]},"BaseReference":{"discriminator":"class","properties":{"class":{"description":"The object class","type":"string"},"id":{"description":"The object unique identifier","type":"string"}},"required":["class","id"],"type":"object"},"OrganizationPermissions":{"properties":{"delete":{"type":"boolean"},"edit":{"type":"boolean"},"harvest":{"type":"boolean"},"members":{"type":"boolean"},"private":{"type":"boolean"}},"type":"object"},"MembershipRequest (read)":{"properties":{"comment":{"type":"string"},"created":{"format":"date-time","readOnly":true,"type":"string"},"created_by":{"allOf":[{"$ref":"#/components/schemas/UserReference"}],"readOnly":true},"email":{"readOnly":true,"type":"string"},"handled_by":{"allOf":[{"$ref":"#/components/schemas/UserReference"}],"readOnly":true},"handled_on":{"format":"date-time","readOnly":true,"type":"string"},"id":{"readOnly":true,"type":"string"},"kind":{"enum":["request","invitation"],"readOnly":true,"type":"string"},"refusal_comment":{"readOnly":true,"type":"string"},"role":{"enum":["admin","editor","partial_editor"],"readOnly":true,"type":"string"},"status":{"enum":["pending","accepted","refused","canceled"],"readOnly":true,"type":"string"},"user":{"allOf":[{"$ref":"#/components/schemas/UserReference"}],"readOnly":true}},"required":["created"],"type":"object"},"Team (read)":{"properties":{},"type":"object"}}}}
```

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/" method="post" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/badges/" method="get" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/roles/" method="get" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/suggest/" method="get" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/{id}/followers/" method="get" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/{id}/followers/" method="post" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/{id}/followers/" method="delete" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/{org}/" method="get" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/{org}/" method="put" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/{org}/" method="delete" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/{org}/badges/" method="post" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/{org}/badges/{badge\_kind}/" method="delete" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/{org}/catalog" method="get" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/{org}/catalog.{format}" method="get" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/{org}/datasets/" method="get" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/{org}/discussions/" method="get" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/{org}/membership/" method="get" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

## GET /organizations/{org}/assignments/

> List assignments for this organization

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"1.0"},"tags":[{"description":"Organization related operations","name":"organizations"}],"servers":[{"url":"http://www.data.gouv.fr/api/1"}],"paths":{"/organizations/{org}/assignments/":{"get":{"operationId":"list_organization_assignments","parameters":[{"schema":{"type":"string","format":"mask"},"description":"An optional fields mask","in":"header","name":"X-Fields"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/Assignment%20%28read%29"},"type":"array"}}}}},"summary":"List assignments for this organization","tags":["organizations"]}}},"components":{"schemas":{}}}
```

## DELETE /organizations/{org}/member/{user}/

> Delete member from an organization

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"1.0"},"tags":[{"description":"Organization related operations","name":"organizations"}],"servers":[{"url":"http://www.data.gouv.fr/api/1"}],"paths":{"/organizations/{org}/member/{user}/":{"delete":{"operationId":"delete_organization_member","responses":{"403":{"description":"Not Authorized"}},"summary":"Delete member from an organization","tags":["organizations"]}}}}
```

## Sync assignments for a partial\_editor member

> Replaces all current assignments with the provided list.

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"1.0"},"tags":[{"description":"Organization related operations","name":"organizations"}],"servers":[{"url":"http://www.data.gouv.fr/api/1"}],"paths":{"/organizations/{org}/member/{user}/assignments/":{"put":{"description":"Replaces all current assignments with the provided list.","operationId":"sync_member_assignments","parameters":[{"schema":{"type":"string","format":"mask"},"description":"An optional fields mask","in":"header","name":"X-Fields"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/Assignment%20%28read%29"},"type":"array"}}}},"403":{"description":"Not Authorized"}},"summary":"Sync assignments for a partial_editor member","tags":["organizations"]}}},"components":{"schemas":{}}}
```

## PUT /organizations/{org}/member/{user}/

> Update member status into a given organization

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"1.0"},"tags":[{"description":"Organization related operations","name":"organizations"}],"servers":[{"url":"http://www.data.gouv.fr/api/1"}],"paths":{"/organizations/{org}/member/{user}/":{"put":{"operationId":"update_organization_member","parameters":[{"schema":{"type":"string","format":"mask"},"description":"An optional fields mask","in":"header","name":"X-Fields"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Member%20%28read%29"}}}},"403":{"description":"Not Authorized"}},"summary":"Update member status into a given organization","tags":["organizations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Member%20%28write%29"}}},"required":true}}}},"components":{"schemas":{}}}
```

## POST /organizations/{org}/member/

> Invite a user or email to join the organization

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"1.0"},"tags":[{"description":"Organization related operations","name":"organizations"}],"servers":[{"url":"http://www.data.gouv.fr/api/1"}],"paths":{"/organizations/{org}/member/":{"post":{"operationId":"invite_organization_member","parameters":[{"schema":{"type":"string","format":"mask"},"description":"An optional fields mask","in":"header","name":"X-Fields"}],"responses":{"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MembershipRequest"}}}},"400":{"description":"Bad Request"},"403":{"description":"Not Authorized"}},"summary":"Invite a user or email to join the organization","tags":["organizations"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MembershipInvite"}}},"required":true}}}},"components":{"schemas":{"MembershipRequest":{"properties":{"assignments":{"description":"Objects to assign on acceptance (for partial_editor invitations)","items":{"$ref":"#/components/schemas/GenericReference"},"type":"array"},"comment":{"description":"A request comment from the user","type":"string"},"created":{"description":"The request creation date","format":"date-time","readOnly":true,"type":"string"},"email":{"description":"Email for non-registered user invitations","type":"string"},"id":{"readOnly":true,"type":"string"},"kind":{"default":"request","description":"The request kind (request or invitation)","enum":["request","invitation"],"type":"string"},"role":{"default":"editor","description":"The role to assign","enum":["admin","editor","partial_editor"],"type":"string"},"status":{"description":"The current request status","enum":["pending","accepted","refused","canceled"],"type":"string"},"user":{"$ref":"#/components/schemas/UserReference"}},"required":["status"],"type":"object"},"GenericReference":{"properties":{"class":{"type":"string"},"id":{"type":"string"}},"type":"object"},"UserReference":{"allOf":[{"$ref":"#/components/schemas/BaseReference"},{"properties":{"avatar":{"description":"The user avatar URL","type":"string"},"avatar_thumbnail":{"description":"The user avatar thumbnail URL. This is the square (500x500) and cropped version.","type":"string"},"first_name":{"description":"The user first name","readOnly":true,"type":"string"},"last_name":{"description":"The user larst name","readOnly":true,"type":"string"},"page":{"description":"The user web page URL","readOnly":true,"type":"string"},"slug":{"description":"The user permalink string","readOnly":true,"type":"string"},"uri":{"description":"The API URI for this user","readOnly":true,"type":"string"}},"type":"object"}]},"BaseReference":{"discriminator":"class","properties":{"class":{"description":"The object class","type":"string"},"id":{"description":"The object unique identifier","type":"string"}},"required":["class","id"],"type":"object"},"MembershipInvite":{"properties":{"assignments":{"description":"Objects to assign on acceptance (for partial_editor invitations)","items":{"$ref":"#/components/schemas/GenericReference"},"type":"array"},"comment":{"description":"Invitation message","type":"string"},"email":{"description":"Email to invite (if user not registered)","type":"string"},"role":{"default":"editor","description":"The role to assign","enum":["admin","editor","partial_editor"],"type":"string"},"user":{"description":"User ID to invite","type":"string"}},"type":"object"}}}}
```

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/{org}/membership/" method="post" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/{org}/membership/{id}/accept/" method="post" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/{org}/membership/{id}/refuse/" method="post" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}

{% openapi src="<https://www.data.gouv.fr/api/1/swagger.json>" path="/organizations/{org}/reuses/" method="get" %}
<https://www.data.gouv.fr/api/1/swagger.json>
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://guides.data.gouv.fr/api-de-data.gouv.fr/reference/organizations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
